Package com.explodingpixels.macwidgets.plaf

## Class HudTextFieldUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TextUI
    - - javax.swing.plaf.basic.BasicTextUI
      - - javax.swing.plaf.basic.BasicTextFieldUI
        - - com.explodingpixels.macwidgets.plaf.HudTextFieldUI

All Implemented Interfaces:
  `javax.swing.text.ViewFactory`

    public class HudTextFieldUI
    extends javax.swing.plaf.basic.BasicTextFieldUI

Creates a Heads Up Display (HUD) style text field, similar to that seen in various iApps (e.g. iPhoto).

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI

`javax.swing.plaf.basic.BasicTextUI.BasicCaret, javax.swing.plaf.basic.BasicTextUI.BasicHighlighter`

### Constructor Summary

Constructors
`HudTextFieldUI()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `installUI​(javax.swing.JComponent c)`
`protected void` `paintSafely​(java.awt.Graphics graphics)`

### Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI

`create, createUI, getBaseline, getBaselineResizeBehavior, getPropertyPrefix`

### Methods inherited from class javax.swing.plaf.basic.BasicTextUI

`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, modelChanged, modelToView, modelToView, modelToView2D, paint, paintBackground, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel, viewToModel2D`

### Methods inherited from class javax.swing.plaf.TextUI

`getToolTipText2D`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HudTextFieldUI

    public HudTextFieldUI()

### Method Detail

#### installUI

    public void installUI​(javax.swing.JComponent c)

Overrides:
  `installUI` in class `javax.swing.plaf.basic.BasicTextUI`

#### paintSafely

    protected void paintSafely​(java.awt.Graphics graphics)

Overrides:
  `paintSafely` in class `javax.swing.plaf.basic.BasicTextUI`